/*------------------------------------------------------------------------------
* unit test driver : readrnx
*-----------------------------------------------------------------------------*/
#include <stdio.h>
#include "../readrnx.h"

static void dumpobs(obs_t *obs)
{
	int i;
	char str[64];
	printf("obs : n=%d,siz=%d\n",obs->n,obs->siz);
	for (i=0;i<obs->n;i++) {
		time2str(obs->data[i].time,str);
		printf("%s : %2d %2d %13.3f %13.3f %13.3f %13.3f\n",str,obs->data[i].sat,
			   obs->data[i].rcv,obs->data[i].o[0],obs->data[i].o[1],
			   obs->data[i].o[2],obs->data[i].o[3]);
	}
}
static void dumpnav(nav_t *nav)
{
	int i;
	char str[64];
	printf("nav : n=%d,siz=%d\n",nav->n,nav->siz);
	for (i=0;i<nav->n;i++) {
		time2str(nav->msg[i].toe,str);
		printf("%s : %2d\n",str,nav->msg[i].sat);
	}
}
int main(int argc, char **argv)
{
	obs_t obs;
	nav_t nav;
	readrnx(argv+1,argc-1,&obs,&nav);
	dumpobs(&obs);
	dumpnav(&nav);
	return 0;
}
